Find the answer to your Linux question:
Page 4 of 6 FirstFirst 1 2 3 4 5 6 LastLast
Results 31 to 40 of 54
Originally Posted by reed9 Remove the dash after su. This is usually good practice, as it moves you to the root user directory, and normally you shouldn't be running as ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #31
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274

    Quote Originally Posted by reed9 View Post
    Remove the dash after su. This is usually good practice, as it moves you to the root user directory, and normally you shouldn't be running as root in your home directory. In this case, of course, you're no longer in the right directory.
    I removed the "-" and have come up with the following results:

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# dpkg -i broadcom-sta-common*deb broadcom-sta-source*deb
    Selecting previously deselected package broadcom-sta-common.
    (Reading database ... 87983 files and directories currently installed.)
    Unpacking broadcom-sta-common (from broadcom-sta-common_5.10.91.9-3_all.deb) ...
    Selecting previously deselected package broadcom-sta-source.
    Unpacking broadcom-sta-source (from broadcom-sta-source_5.10.91.9-3_all.deb) ...
    Setting up broadcom-sta-common (5.10.91.9-3) ...
    dpkg: dependency problems prevent configuration of broadcom-sta-source:
     broadcom-sta-source depends on debhelper (>= 7); however:
      Package debhelper is not installed.
     broadcom-sta-source depends on bzip2; however:
      Package bzip2 is not installed.
     broadcom-sta-source depends on make; however:
      Package make is not installed.
     broadcom-sta-source depends on quilt; however:
      Package quilt is not installed.
    dpkg: error processing broadcom-sta-source (--install):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     broadcom-sta-source
    debian:/home/jun#

  2. #32
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    You still haven't install the build tools, as we posted a number of times.

    Do this first.
    Code:
    sudo apt-get install build-essential debhelper module-assistant quilt wireless-tools

  3. #33
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by reed9 View Post
    You still haven't install the build tools, as we posted a number of times.

    Do this first.
    Code:
    sudo apt-get install build-essential debhelper module-assistant quilt wireless-tools

    Sorry Guys, :

    I did a fresh reinstall and I overlooked to do the above. Anyway here is the output of what you instructed. Thanks!

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun#  apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    wireless-tools is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
      build-essential: Depends: libc6-dev but it is not going to be installed or
                                libc-dev
                       Depends: g++ (>= 4:4.3.1) but it is not going to be installed
                       Depends: make but it is not going to be installed
                       Depends: dpkg-dev (>= 1.13.5) but it is not going to be installed
      debhelper: Depends: dpkg-dev (>= 1.14.15) but it is not going to be installed
                 Depends: html2text but it is not going to be installed
                 Depends: binutils but it is not going to be installed
                 Depends: po-debconf but it is not going to be installed
      quilt: Depends: diffstat but it is not going to be installed
             Depends: bzip2 but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun#

  4. $spacer_open
    $spacer_close
  5. #34
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    Well, something isn't right. All of those packages should be pulling. Try updating the repos first.

    Code:
    su
    apt-get update
    Try again. If you get any errors post them and post the file /etc/apt/sources.list

  6. #35
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Hi Reed9,

    Here it is:

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# apt-get update
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://mirrors.kernel.org lenny Release.gpg
    Ign http://mirrors.kernel.org lenny/main Translation-en_US
    Get:1 http://www.backports.org lenny-backports Release.gpg [189B]
    Ign http://www.backports.org lenny-backports/main Translation-en_US
    Hit http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Hit http://security.debian.org lenny/updates Release
    Hit http://mirrors.kernel.org lenny Release
    Ign http://www.backports.org lenny-backports/contrib Translation-en_US
    Ign http://www.backports.org lenny-backports/non-free Translation-en_US
    Hit http://www.backports.org lenny-backports Release
    Err http://www.backports.org lenny-backports Release
    
    Hit http://volatile.debian.org lenny/volatile Release
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://mirrors.kernel.org lenny/main Packages/DiffIndex
    Get:2 http://www.backports.org lenny-backports Release [56.1kB]
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Ign http://mirrors.kernel.org lenny/main Sources/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://mirrors.kernel.org lenny/main Packages
    Hit http://volatile.debian.org lenny/volatile/main Packages
    Hit http://security.debian.org lenny/updates/main Sources
    Hit http://mirrors.kernel.org lenny/main Sources
    Hit http://volatile.debian.org lenny/volatile/main Sources
    Ign http://www.backports.org lenny-backports Release
    Ign http://www.backports.org lenny-backports/main Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/contrib Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/non-free Packages/DiffIndex
    Hit http://www.backports.org lenny-backports/main Packages
    Hit http://www.backports.org lenny-backports/contrib Packages
    Hit http://www.backports.org lenny-backports/non-free Packages
    Fetched 56.3kB in 5s (10.7kB/s)
    Reading package lists... Done
    W: GPG error: http://www.backports.org lenny-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EA8E8B2116BA136C
    W: You may want to run apt-get update to correct these problems
    
    debian:/home/jun# cat /etc/apt/sources.list
    #
    # deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49]/ lenny main
    
    deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49]/ lenny main
    
    deb http://mirrors.kernel.org/debian/ lenny main
    deb-src http://mirrors.kernel.org/debian/ lenny main
    
    deb http://security.debian.org/ lenny/updates main
    deb-src http://security.debian.org/ lenny/updates main
    
    deb http://volatile.debian.org/debian-volatile lenny/volatile main
    deb-src http://volatile.debian.org/debian-volatile lenny/volatile main
    
    deb http://www.backports.org/debian lenny-backports main contrib non-free
    debian:/home/jun#

  7. #36
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    deb http://mirrors.kernel.org/debian/ lenny main
    deb-src http://mirrors.kernel.org/debian/ lenny main
    Add the contrib and non-free sections.

    deb http://mirrors.kernel.org/debian/ lenny main contrib
    deb-src http://mirrors.kernel.org/debian/ lenny main non-free


    EDIT: Sorry, forgot to turn off link parsing before.

    Update again and try installing the build tools.
    Code:
    su
    apt-get update && apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Last edited by reed9; 09-23-2009 at 01:41 AM.

  8. #37
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by reed9 View Post
    Add the contrib and non-free sections.

    deb Index of /debian lenny main contrib
    deb-src Index of /debian lenny main non-free


    EDIT: Sorry, forgot to turn off link parsing before.

    Update again and try installing the build tools.
    Code:
    su
    apt-get update && apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Hi,

    I'm not quite sure if I did the right thing...

    Code:
    debian:/home/jun# deb http://mirrors.kernel.org/debian/ lenny main contrib
    bash: deb: command not found
    debian:/home/jun# wget deb http://mirrors.kernel.org/debian/ lenny main contrib
    --2009-09-23 09:08:20--  http://deb/
    Resolving deb... failed: Name or service not known.
    wget: unable to resolve host address `deb'
    --2009-09-23 09:08:20--  http://mirrors.kernel.org/debian/
    Resolving mirrors.kernel.org... 204.152.191.39, 130.239.17.6, 149.20.20.135, ...
    Connecting to mirrors.kernel.org|204.152.191.39|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: `index.html'
    
        [ <=>                                   ] 1,346       --.-K/s   in 0.002s
    
    2009-09-23 09:08:24 (715 KB/s) - `index.html' saved [1346]
    
    --2009-09-23 09:08:24--  http://lenny/
    Resolving lenny... failed: Name or service not known.
    wget: unable to resolve host address `lenny'
    --2009-09-23 09:08:25--  http://main/
    Resolving main... failed: Name or service not known.
    wget: unable to resolve host address `main'
    --2009-09-23 09:08:25--  http://contrib/
    Resolving contrib... failed: Name or service not known.
    wget: unable to resolve host address `contrib'
    FINISHED --2009-09-23 09:08:25--
    Downloaded: 1 files, 1.3K in 0.002s (715 KB/s)
    debian:/home/jun# deb-src http://mirrors.kernel.org/debian/ lenny main non-free
    bash: deb-src: command not found
    debian:/home/jun# wget deb-src http://mirrors.kernel.org/debian/ lenny main non-free
    --2009-09-23 09:09:12--  http://deb-src/
    Resolving deb-src... failed: Name or service not known.
    wget: unable to resolve host address `deb-src'
    --2009-09-23 09:09:12--  http://mirrors.kernel.org/debian/
    Resolving mirrors.kernel.org... 204.152.191.39
    Connecting to mirrors.kernel.org|204.152.191.39|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: unspecified [text/html]
    Saving to: `index.html.1'
    
        [ <=>                                   ] 1,346       --.-K/s   in 0.002s
    
    2009-09-23 09:09:13 (751 KB/s) - `index.html.1' saved [1346]
    
    --2009-09-23 09:09:13--  http://lenny/
    Resolving lenny... failed: Name or service not known.
    wget: unable to resolve host address `lenny'
    --2009-09-23 09:09:13--  http://main/
    Resolving main... failed: Name or service not known.
    wget: unable to resolve host address `main'
    --2009-09-23 09:09:13--  http://non-free/
    Resolving non-free... failed: Name or service not known.
    wget: unable to resolve host address `non-free'
    FINISHED --2009-09-23 09:09:13--
    Downloaded: 1 files, 1.3K in 0.002s (751 KB/s)
    debian:/home/jun# apt-get update && apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://mirrors.kernel.org lenny Release.gpg
    Ign http://mirrors.kernel.org lenny/main Translation-en_US
    Hit http://mirrors.kernel.org lenny Release
    Ign http://mirrors.kernel.org lenny/main Packages/DiffIndex
    Ign http://mirrors.kernel.org lenny/main Sources/DiffIndex
    Hit http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Get:1 http://www.backports.org lenny-backports Release.gpg [189B]
    Ign http://www.backports.org lenny-backports/main Translation-en_US
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://mirrors.kernel.org lenny/main Packages
    Hit http://mirrors.kernel.org lenny/main Sources
    Ign http://www.backports.org lenny-backports/contrib Translation-en_US
    Ign http://www.backports.org lenny-backports/non-free Translation-en_US
    Hit http://www.backports.org lenny-backports Release
    Hit http://volatile.debian.org lenny/volatile Release
    Err http://www.backports.org lenny-backports Release
    
    Hit http://security.debian.org lenny/updates Release
    Get:2 http://www.backports.org lenny-backports Release [56.1kB]
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://volatile.debian.org lenny/volatile/main Packages
    Hit http://security.debian.org lenny/updates/main Sources
    Hit http://volatile.debian.org lenny/volatile/main Sources
    Ign http://www.backports.org lenny-backports Release
    Ign http://www.backports.org lenny-backports/main Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/contrib Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/non-free Packages/DiffIndex
    Hit http://www.backports.org lenny-backports/main Packages
    Hit http://www.backports.org lenny-backports/contrib Packages
    Hit http://www.backports.org lenny-backports/non-free Packages
    Fetched 56.3kB in 6s (9195B/s)
    Reading package lists... Done
    W: GPG error: http://www.backports.org lenny-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EA8E8B2116BA136C
    W: You may want to run apt-get update to correct these problems
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    wireless-tools is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
      build-essential: Depends: libc6-dev but it is not going to be installed or
                                libc-dev
                       Depends: g++ (>= 4:4.3.1) but it is not going to be installed
                       Depends: make but it is not going to be installed
                       Depends: dpkg-dev (>= 1.13.5) but it is not going to be installed
      debhelper: Depends: dpkg-dev (>= 1.14.15) but it is not going to be installed
                 Depends: html2text but it is not going to be installed
                 Depends: binutils but it is not going to be installed
                 Depends: po-debconf but it is not going to be installed
      quilt: Depends: diffstat but it is not going to be installed
             Depends: bzip2 but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun#

  9. #38
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    No, sorry. You need to edit the file /etc/apt/sources.list with a text editor. I usually just use the command line text editor nano.

    Code:
    su
    nano /etc/apt/sources.list
    Find these two lines
    deb http://mirrors.kernel.org/debian/ lenny main
    deb-src http://mirrors.kernel.org/debian/ lenny main


    Change them to look like this
    deb http://mirrors.kernel.org/debian/ lenny main contrib non-free
    deb-src http://mirrors.kernel.org/debian/ lenny main contrib non-free


    You're just adding contrib and non-free to the end of each.

  10. #39
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    I changed it and saved the below:

    Code:
      GNU nano 2.0.7          File: /etc/apt/sources.list                 Modified
    
    #
    # deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 200$
    
    deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090$
    
    deb http://mirrors.kernel.org/debian/ lenny main contrib non-free
    deb-src http://mirrors.kernel.org/debian/ lenny main contrib non-free
    
    deb http://security.debian.org/ lenny/updates main
    deb-src http://security.debian.org/ lenny/updates main
    
    deb http://volatile.debian.org/debian-volatile lenny/volatile main
    deb-src http://volatile.debian.org/debian-volatile lenny/volatile main
    
    deb http://www.backports.org/debian lenny-backports main contrib non-free
    I will try to restart and run again because it seems it did not change anything. Be right back.

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# apt-get update && apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://mirrors.kernel.org lenny Release.gpg
    Ign http://mirrors.kernel.org lenny/main Translation-en_US
    Ign http://mirrors.kernel.org lenny/contrib Translation-en_US
    Ign http://mirrors.kernel.org lenny/non-free Translation-en_US
    Hit http://mirrors.kernel.org lenny Release
    Ign http://mirrors.kernel.org lenny/main Packages/DiffIndex
    Get:1 http://mirrors.kernel.org lenny/contrib Packages [92.7kB]
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://security.debian.org lenny/updates Release
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://security.debian.org lenny/updates/main Sources
    Get:2 http://mirrors.kernel.org lenny/non-free Packages [123kB]
    Get:3 http://www.backports.org lenny-backports Release.gpg [189B]
    Ign http://www.backports.org lenny-backports/main Translation-en_US
    Ign http://www.backports.org lenny-backports/contrib Translation-en_US
    Ign http://www.backports.org lenny-backports/non-free Translation-en_US
    Hit http://www.backports.org lenny-backports Release
    Err http://www.backports.org lenny-backports Release
    
    Get:4 http://www.backports.org lenny-backports Release [56.1kB]
    Ign http://mirrors.kernel.org lenny/main Sources/DiffIndex
    Get:5 http://mirrors.kernel.org lenny/contrib Sources [46.2kB]
    Get:6 http://volatile.debian.org lenny/volatile Release.gpg [189B]
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Get:7 http://volatile.debian.org lenny/volatile Release [40.7kB]
    Get:8 http://mirrors.kernel.org lenny/non-free Sources [58.5kB]
    Ign http://www.backports.org lenny-backports Release
    Ign http://www.backports.org lenny-backports/main Packages/DiffIndex
    Hit http://mirrors.kernel.org lenny/main Packages
    Hit http://mirrors.kernel.org lenny/main Sources
    Ign http://www.backports.org lenny-backports/contrib Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/non-free Packages/DiffIndex
    Hit http://www.backports.org lenny-backports/main Packages
    Hit http://www.backports.org lenny-backports/contrib Packages
    Hit http://www.backports.org lenny-backports/non-free Packages
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Get:9 http://volatile.debian.org lenny/volatile/main Packages [7538B]
    Get:10 http://volatile.debian.org lenny/volatile/main Sources [2238B]
    Fetched 428kB in 26s (16.1kB/s)
    Reading package lists... Done
    W: GPG error: http://www.backports.org lenny-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EA8E8B2116BA136C
    W: You may want to run apt-get update to correct these problems
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    wireless-tools is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
      build-essential: Depends: libc6-dev but it is not going to be installed or
                                libc-dev
                       Depends: g++ (>= 4:4.3.1) but it is not going to be installed
                       Depends: make but it is not going to be installed
                       Depends: dpkg-dev (>= 1.13.5) but it is not going to be installed
      debhelper: Depends: dpkg-dev (>= 1.14.15) but it is not going to be installed
                 Depends: html2text but it is not going to be installed
                 Depends: binutils but it is not going to be installed
                 Depends: po-debconf but it is not going to be installed
      quilt: Depends: diffstat but it is not going to be installed
             Depends: bzip2 but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun#

  11. #40
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    I changed it and saved the below:

    Code:
      GNU nano 2.0.7          File: /etc/apt/sources.list                 Modified
    
    #
    # deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 200$
    
    deb cdrom:[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090$
    
    deb http://mirrors.kernel.org/debian/ lenny main contrib non-free
    deb-src http://mirrors.kernel.org/debian/ lenny main contrib non-free
    
    deb http://security.debian.org/ lenny/updates main
    deb-src http://security.debian.org/ lenny/updates main
    
    deb http://volatile.debian.org/debian-volatile lenny/volatile main
    deb-src http://volatile.debian.org/debian-volatile lenny/volatile main
    
    deb http://www.backports.org/debian lenny-backports main contrib non-free
    I restarted and run:

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# apt-get update && apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://mirrors.kernel.org lenny Release.gpg
    Ign http://mirrors.kernel.org lenny/main Translation-en_US
    Ign http://mirrors.kernel.org lenny/contrib Translation-en_US
    Ign http://mirrors.kernel.org lenny/non-free Translation-en_US
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Get:1 http://www.backports.org lenny-backports Release.gpg [189B]
    Ign http://www.backports.org lenny-backports/main Translation-en_US
    Ign http://www.backports.org lenny-backports/contrib Translation-en_US
    Hit http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Hit http://mirrors.kernel.org lenny Release
    Hit http://security.debian.org lenny/updates Release
    Ign http://www.backports.org lenny-backports/non-free Translation-en_US
    Hit http://www.backports.org lenny-backports Release
    Err http://www.backports.org lenny-backports Release
    
    Ign http://mirrors.kernel.org lenny/main Packages/DiffIndex
    Hit http://volatile.debian.org lenny/volatile Release
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://mirrors.kernel.org lenny/contrib Packages/DiffIndex
    Ign http://mirrors.kernel.org lenny/non-free Packages/DiffIndex
    Ign http://mirrors.kernel.org lenny/main Sources/DiffIndex
    Ign http://mirrors.kernel.org lenny/contrib Sources/DiffIndex
    Ign http://mirrors.kernel.org lenny/non-free Sources/DiffIndex
    Get:2 http://www.backports.org lenny-backports Release [56.1kB]
    Hit http://mirrors.kernel.org lenny/main Packages
    Hit http://mirrors.kernel.org lenny/contrib Packages
    Hit http://mirrors.kernel.org lenny/non-free Packages
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Hit http://mirrors.kernel.org lenny/main Sources
    Hit http://mirrors.kernel.org lenny/contrib Sources
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://mirrors.kernel.org lenny/non-free Sources
    Hit http://volatile.debian.org lenny/volatile/main Packages
    Hit http://security.debian.org lenny/updates/main Sources
    Ign http://www.backports.org lenny-backports Release
    Hit http://volatile.debian.org lenny/volatile/main Sources
    Ign http://www.backports.org lenny-backports/main Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/contrib Packages/DiffIndex
    Ign http://www.backports.org lenny-backports/non-free Packages/DiffIndex
    Hit http://www.backports.org lenny-backports/main Packages
    Hit http://www.backports.org lenny-backports/contrib Packages
    Hit http://www.backports.org lenny-backports/non-free Packages
    Fetched 56.3kB in 5s (10.6kB/s)
    Reading package lists... Done
    W: GPG error: http://www.backports.org lenny-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EA8E8B2116BA136C
    W: You may want to run apt-get update to correct these problems
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    wireless-tools is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
      build-essential: Depends: libc6-dev but it is not going to be installed or
                                libc-dev
                       Depends: g++ (>= 4:4.3.1) but it is not going to be installed
                       Depends: make but it is not going to be installed
                       Depends: dpkg-dev (>= 1.13.5) but it is not going to be installed
      debhelper: Depends: dpkg-dev (>= 1.14.15) but it is not going to be installed
                 Depends: html2text but it is not going to be installed
                 Depends: binutils but it is not going to be installed
                 Depends: po-debconf but it is not going to be installed
      quilt: Depends: diffstat but it is not going to be installed
             Depends: bzip2 but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun#

Page 4 of 6 FirstFirst 1 2 3 4 5 6 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •